;nyquist plug-in
;version 4
;type analyze
;name "Show Selection Time"
;action "Analyzing..."
;categories "http://lv2plug.in/ns/lv2core#AnalyserPlugin"
;author "Steve Daulton"
;copyright "Released under terms of the GNU General Public License version 2"

;; Configuration settings:
(setf multiplier 1000)  ;multiply by 1000 for time in ms
(setf units "ms")       ;time units as appears in output string
(setf decimal-places 1) ;number of decimal places


(setq *float-format* (format nil "%1.~af" decimal-places))

(format nil "Start:   \t~a ~a.~%End:   \t~a ~a.~%Duration:\t~a ~a."
        (* multiplier (get '*selection* 'start))
        units
        (* multiplier (get '*selection* 'end))
        units
        (if (> len 0)
            (* multiplier (- (get '*selection* 'end) (get '*selection* 'start)))
            "")
        (if (> len 0)
            units
            "< 1 sample period"))
